From bb9250b67bf887224059c337d117a720fcf79dd7 Mon Sep 17 00:00:00 2001
From: Naofumi Yasufuku <naofumi@yasufuku.dev>
Date: Tue, 8 Jun 2021 19:04:24 +0900
Subject: [PATCH] Fix to show images with non-ascii filename on macOS

* src/nsimage.m ([EmacsImage allocInitFromFile:]): Revert filename
NSString to use stringWithUTF8String instead of stringWithLispString.
(Bug#48902)
---
 src/nsimage.m | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/nsimage.m b/src/nsimage.m
index fa81a41a51..8c7a3d9a09 100644
--- a/src/nsimage.m
+++ b/src/nsimage.m
@@ -262,7 +262,7 @@ + (instancetype)allocInitFromFile: (Lisp_Object)file
   found = ENCODE_FILE (found);
 
   image = [[EmacsImage alloc] initByReferencingFile:
-                     [NSString stringWithLispString: found]];
+                     [NSString stringWithUTF8String: SSDATA (found)]];
 
   image->bmRep = nil;
 #ifdef NS_IMPL_COCOA
-- 
2.31.1

